FactoryBot.define do
  factory :broadcast_recording do
    association :broadcast
    file_name "high.mp4"
    asset_uid "asset_uid"
    asset_playback_uid "asset_playback_uid"
    hidden { false }

    trait :with_random_asset_uid do
      sequence(:asset_uid, 'a')
    end
  end
end
